import classnames from 'classnames';
import { jsx as _jsx } from "react/jsx-runtime";
var TabsList = function TabsList(_ref) {
  var _ref$list = _ref.list,
    list = _ref$list === void 0 ? [] : _ref$list,
    activeKey = _ref.activeKey,
    setActiveKey = _ref.setActiveKey;
  return /*#__PURE__*/_jsx("div", {
    className: 'vtx-device-analysis-tabs',
    children: list.map(function (item) {
      return /*#__PURE__*/_jsx("div", {
        className: classnames('vtx-device-analysis-tabs-item', {
          active: activeKey === item.value
        }),
        onClick: function onClick() {
          return setActiveKey(item.value);
        },
        children: item.label
      }, item.value);
    })
  });
};
export default TabsList;